package com.qmth.themis.business.service;

import com.qmth.themis.business.dto.MqDto;
import com.qmth.themis.common.util.Result;

/**
 * @Description: mq 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/28
 */
public interface ProducerServer {

    /**
     * 同步消息
     *
     * @param mqDto
     * @return
     */
    Result syncMsg(MqDto mqDto);

    /**
     * 同步顺序消息
     *
     * @param mqDto
     * @return
     */
    Result syncOrderlyMsg(MqDto mqDto);

    /**
     * 异步消息
     *
     * @param mqDto
     * @return
     */
    Result asyncMsg(MqDto mqDto);

    /**
     * 异步顺序消息
     *
     * @param mqDto
     * @return
     */
    Result asyncOrderlyMsg(MqDto mqDto);

    /**
     * 单向消息
     *
     * @param mqDto
     * @return
     */
    Result sendOneWay(MqDto mqDto);

    /**
     * 单向顺序消息
     *
     * @param mqDto
     * @return
     */
    Result sendOneWayOrderly(MqDto mqDto);


    /**
     * 事务消息
     *
     * @param mqDto
     * @return
     */
    Result sendMsgTran(MqDto mqDto);
}
